%define anolis_release 1

Name:    tpm2-tools
Version: 5.5
Release: %{anolis_release}%{?dist}
Summary: A bunch of TPM testing toolS build upon tpm2-tss

License: BSD
URL:     https://github.com/tpm2-software/tpm2-tools
Source0: https://github.com/tpm2-software/tpm2-tools/releases/download/%{version}/%{name}-%{version}.tar.gz

BuildRequires: make
BuildRequires: gcc-c++
BuildRequires: libtool
BuildRequires: pkgconfig(cmocka)
BuildRequires: pkgconfig(libcurl)
BuildRequires: pkgconfig(openssl)
# tpm2-tss-devel provides tss2-mu/sys/esys package config
BuildRequires: pkgconfig(tss2-mu) >= 3.1.0
BuildRequires: pkgconfig(tss2-sys) >= 3.1.0
BuildRequires: pkgconfig(tss2-esys) >= 3.1.0
BuildRequires: pkgconfig(uuid)

# tpm2-tools is heavily depending on TPM2.0-TSS project, matched tss is required
Requires: tpm2-tss >= 3.1.0

%description
tpm2-tools is a batch of tools for tpm2.0. It is based on tpm2-tss.

%package doc
Summary:        Doc files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description doc
Doc files for %{name}

%prep
%autosetup -p1 -n %{name}-%{version}

%build
%configure --prefix=/usr --disable-static --disable-silent-rules
%make_build

%install
%make_install

%files
%license docs/LICENSE
%{_bindir}/tpm2
%{_bindir}/tpm2_*
%{_bindir}/tss2
%{_bindir}/tss2_*
%{_datadir}/bash-completion/completions/tpm2*
%{_datadir}/bash-completion/completions/tss2*
%{_mandir}/man1/tpm2_*.1.*
%{_mandir}/man1/tpm2.1.*
%{_mandir}/man1/tss2_*.1.*

%files doc
%doc docs/README.md docs/CHANGELOG.md

%changelog
* Tue Mar 21 2023 Chunmei Xu <xuchunmei@linux.alibaba.com> - 5.5-1
- init from upstream
